package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsAppVersion;

/**
 * app版本Service接口
 *
 * @author fs
 * @date 2023-08-03
 */
public interface IFsAppVersionService
{
    /**
     * 查询app版本
     *
     * @param versionId app版本主键
     * @return app版本
     */
    public FsAppVersion selectFsAppVersionByVersionId(Long versionId);

    /**
     * 查询app版本列表
     *
     * @param fsAppVersion app版本
     * @return app版本集合
     */
    public List<FsAppVersion> selectFsAppVersionList(FsAppVersion fsAppVersion);

    /**
     * 新增app版本
     *
     * @param fsAppVersion app版本
     * @return 结果
     */
    public int insertFsAppVersion(FsAppVersion fsAppVersion);

    /**
     * 修改app版本
     *
     * @param fsAppVersion app版本
     * @return 结果
     */
    public int updateFsAppVersion(FsAppVersion fsAppVersion);

    /**
     * 批量删除app版本
     *
     * @param versionIds 需要删除的app版本主键集合
     * @return 结果
     */
    public int deleteFsAppVersionByVersionIds(Long[] versionIds);

    /**
     * 删除app版本信息
     *
     * @param versionId app版本主键
     * @return 结果
     */
    public int deleteFsAppVersionByVersionId(Long versionId);

    FsAppVersion getNewAppVersion(Integer appType);

    FsAppVersion getNewUserAppVersion(Integer type);

    FsAppVersion getNewVersion(Integer appType, int type);
}
